Create Session
Create a new session with initial checks, metadata and challenges for further verification. A token will be returned, which is required for using the session as authentication, e.g. when authenticating an OIDC auth request or SAML request. Additionally, the session token can be used as OAuth2 access token to authenticate against the Zitadel APIs.
Required permissions:
session.write
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/v2/sessions" \ -H "Content-Type: application/json" \ -d '{}'{
"details": {
"sequence": 0,
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string",
"creationDate": "2023-01-15T01:30:15.01Z"
},
"sessionId": "string",
"sessionToken": "string",
"challenges": {
"webAuthN": {
"publicKeyCredentialRequestOptions": {
"property1": {},
"property2": {}
}
},
"otpSms": "string",
"otpEmail": "string"
}
}Was this page helpful?
Session API
Explore the Session API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
DeleteSession
DeleteSession: Terminate an existing session. This invalidates the session and its token. The session can no longer be used for the authentication of other resources or to authenticate against the Zitadel APIs. Y...